Webhooks
Update public webhook endpoint
PATCH
/
v1
/
settings
/
developer
/
webhooks
/
endpoints
/
{endpointID}
Update public webhook endpoint
curl --request PATCH \
--url https://api.wazapin.com/v1/settings/developer/webhooks/endpoints/{endpointID} \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"description": "<string>",
"enabled": true,
"event_types": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
description: '<string>',
enabled: true,
event_types: ['<string>']
})
};
fetch('https://api.wazapin.com/v1/settings/developer/webhooks/endpoints/{endpointID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/settings/developer/webhooks/endpoints/{endpointID}"
payload = {
"url": "<string>",
"description": "<string>",
"enabled": True,
"event_types": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"enabled": true,
"event_types": [
"<string>"
],
"id": "<string>",
"url": "<string>",
"created_at": "<string>",
"description": "<string>",
"masked_signing_secret": "<string>",
"updated_at": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Endpoint ID
⌘I
Update public webhook endpoint
curl --request PATCH \
--url https://api.wazapin.com/v1/settings/developer/webhooks/endpoints/{endpointID} \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"description": "<string>",
"enabled": true,
"event_types": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
description: '<string>',
enabled: true,
event_types: ['<string>']
})
};
fetch('https://api.wazapin.com/v1/settings/developer/webhooks/endpoints/{endpointID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/settings/developer/webhooks/endpoints/{endpointID}"
payload = {
"url": "<string>",
"description": "<string>",
"enabled": True,
"event_types": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"enabled": true,
"event_types": [
"<string>"
],
"id": "<string>",
"url": "<string>",
"created_at": "<string>",
"description": "<string>",
"masked_signing_secret": "<string>",
"updated_at": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}